unit AvisoControleSistema;

interface

uses
  Windows, system.UItypes, IB_Access, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TelaComum, ExtCtrls, ComCtrls, StdCtrls, Buttons, jpeg,
  IdBaseComponent, IdComponent, IdTCPConnection, IdTCPClient, IdFTP,
  cxGraphics, cxControls, cxLookAndFeels, cxLookAndFeelPainters,
  cxContainer, cxEdit, 
  cxImage, Menus, cxButtons, ACBrBase, ACBrDownload, dxGDIPlusClasses, ClipBrd,
    dxSkinOffice2010Blue, dxSkinsCore, System.ImageList, Vcl.ImgList;

type
  TfrmAvisoControleSistema = class(TfrmTelaComum)
    pagina: TPageControl;
    tabBloqueado: TTabSheet;
    tabDemo: TTabSheet;
    TabVencendo: TTabSheet;
    edtCnpj: TEdit;
    lblTipo: TLabel;
    tmAcessoAutomatico: TTimer;
    img1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    img2: TImage;
    Label9: TLabel;
    Label5: TLabel;
    Label3: TLabel;
    img3: TImage;
    lblDias: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label21: TLabel;
    shp1: TShape;
    Label4: TLabel;
    edtMacRede: TEdit;
    btn1: TcxButton;
    btn2: TcxButton;
    tabVerificarLicenca: TTabSheet;
    Label6: TLabel;
    img4: TImage;
    procedure FormCreate(Sender: TObject);
    procedure BtCancelarClick(Sender: TObject);
    procedure img3Click(Sender: TObject);
    procedure BtGravarClick(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure tmAcessoAutomaticoTimer(Sender: TObject);
    procedure btn2Click(Sender: TObject);
    procedure btn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    senha : string;
  end;

var
  frmAvisoControleSistema: TfrmAvisoControleSistema;

implementation

uses Sobre, rotinas, DataModulo;

{$R *.dfm}

procedure TfrmAvisoControleSistema.FormCreate(Sender: TObject);
var formatado : string;
begin
  inherited;
   FechaTelaSplash;

   tabBloqueado.TabVisible := False;
   tabDemo.TabVisible      := False;
   TabVencendo.TabVisible  := False;
   tabVerificarLicenca.TabVisible  := False;

   edtMacRede.Text         := UpperCase(CriarHash_Code(Mac_placa_Rede) );

   formatado := edtMacRede.Text;
   Insert('-',formatado,9);
   Insert('-',formatado,18);
   Insert('-',formatado,27);

   edtMacRede.Text := formatado;

   edtCnpj.Text := Dados.qrRegistro.FieldByName('CNPJ').AsString;

   if Length(Dados.qrRegistro.FieldByName('CNPJ').AsString) = 14 then
   begin
      lblTipo.Caption := 'Seu CNPJ: ';
      edtCnpj.Text := FormataCNPJCEICPF(Dados.qrRegistro.FieldByName('CNPJ').AsString,'J');
   end;

   if Length(Dados.qrRegistro.FieldByName('CNPJ').AsString) = 11 then
   begin
      lblTipo.Caption := 'Seu CPF: ';
      edtCnpj.Text := FormataCNPJCEICPF(Dados.qrRegistro.FieldByName('CNPJ').AsString,'F');
   end;

   //==================== Verifica se o delphi esta aberto =============
   if ProjetoAbertoNoDelphi then
   begin
      edtMacRede.Text := 'Olá';
      edtCnpj.Text := 'Programador';
      tmAcessoAutomatico.Enabled := True;
   end
    
end;

procedure TfrmAvisoControleSistema.BtCancelarClick(Sender: TObject);
begin
  inherited;
   Close;
end;

procedure TfrmAvisoControleSistema.img3Click(Sender: TObject);
begin
  inherited;
  frmSobre:= TfrmSobre.Create(Application);
  frmSobre.ShowModal;
  frmSobre.Destroy;
end;

procedure TfrmAvisoControleSistema.BtGravarClick(Sender: TObject);
begin
   close;
end;

procedure TfrmAvisoControleSistema.FormKeyPress(Sender: TObject;
  var Key: Char);
begin
  inherited;
  senha := senha + Key;
  if senha = '22097475' then
  begin
     BtCancelar.SetFocus;
  end

end;

procedure TfrmAvisoControleSistema.tmAcessoAutomaticoTimer(
  Sender: TObject);
begin
  inherited;
   tmAcessoAutomatico.Enabled := False;
   senha := '22097475';
   BtCancelar.Click;

end;

procedure TfrmAvisoControleSistema.btn2Click(Sender: TObject);
begin
   Executar_suporte_remoto
end;

procedure TfrmAvisoControleSistema.btn1Click(Sender: TObject);
var Copiar :string;
begin
  inherited;

  Copiar :=  'Cpf/Cnpj: '           + dados.qrRegistro.FieldByName('CNPJ').AsString   + sLineBreak
           + 'Nome: '               + dados.qrRegistro.FieldByName('NOME').AsString   + sLineBreak
           + 'Cidade: '             + dados.qrRegistro.FieldByName('CIDADE').AsString + sLineBreak
           + 'E-Mail: '             + dados.qrRegistro.FieldByName('EMAIL').AsString  + sLineBreak
           + 'Fone: '               + dados.qrRegistro.FieldByName('TELEFONE1').AsString  + sLineBreak
           + 'Código Licença: '     + edtMacRede.Text + sLineBreak;
           
  Clipboard.astext := copiar;

  MessageDlg('Os dados fora copiados para a aréa de tranferência'+#13+#10+
             '______________________________'+#13+#10+''+#13+#10+
             Copiar, mtInformation, [mbOK], 0);

end;

end.
